免费注册 查看新帖 |

Chinaunix

  平台 论坛 博客 文库
123下一页
最近访问板块 发新帖
查看: 5523 | 回复: 20

求助Networker备份Sybase问题?急,先感谢大家了 [复制链接]

论坛徽章:
0
发表于 2006-12-06 19:03 |显示全部楼层
大家帮我看一看,我的Networker无法备份Sybase,配置如下:\r\n\r\nIBM P570小型机\r\nOS:AIX 5.3  Sybase:12.5.1 \r\n\r\nNetworker verison : 7.3\r\nSybase module version:  2.5\r\n\r\nNetworker client settings:\r\nbackup command: nsrsyb   (是将IBM小型机上的/etc/nsrsyb.sh拷贝至/usr/bin/目录下修改后的)\r\nsave set:  SYBASE:/sybase_server\r\nremote user:sybase\r\npassword:sybase\r\n\r\nnsrsyb script 只做了以下设置,其他都没有动过:\r\n\r\n“SYBASE=/sybase/ASE-12_5/\r\n DBCCOPT=\"-o ckdb\"\r\n BACKUP_OPT=\"-b sybasepool\"  ”\r\n\r\n启动备份后Networker有如下报错:\r\nsavegrp: suppressed 10 lines of output - \r\ncheck daemon.log for details.\r\nCannot access file /sybase/ASE-12_5//config/objectid.dat\r\nUsage: nsrsybcc [<options>]\r\nOptions:\r\n        [ -qvh? ]\r\n        [ -o ckdb ] [ -o ckdbnoidx ] [ -o ckal ] [ -o ckcat ] [ -o ckstor ]\r\n        [ -U username ] [ -P password ]\r\n        [ -g group ] [ -c client-name ] \r\n        [ -s server ]  \r\n        {SYBASE:/ASE-server-name | \r\n         SYBASE:/ASE-server-name/database-name\r\n         [SYBASE:/ASE-server-name/database-name ...]}\r\n12/06/06 16:19:48 nsrsybsv: Error: process 201214 running command \"nsrsybcc\" completed with a result of 1.\r\nnsrsybsv returned status of 1\r\n/usr/bin/nsrsyb exiting.\r\n\r\n在Sybase服务器上,手动执行nsrsybcc检查,报错如下:\r\n\r\n./usr/bin/nsrsybcc -o ckdb SYBASE:/sybase_server\r\nNetWorker: Diagnostic: AIX loadquery(): Can\'t find address for /usr/lib/libc.a(s\r\nhr.o).\r\n\r\nOpen Client Message:\r\nMessage number: LAYER = (5) ORIGIN = (3) SEVERITY = (5) NUMBER = (131)\r\nMessage String: ct_init(): network packet layer: internal net library error: Att\r\nempt to load protocol driver failed\r\nUsage: nsrsybcc [<options>]\r\nOptions:\r\n        [ -qvh? ]\r\n        [ -o ckdb ] [ -o ckdbnoidx ] [ -o ckal ] [ -o ckcat ] [ -o ckstor ]\r\n        [ -U username ] [ -P password ]\r\n        [ -g group ] [ -c client-name ]\r\n        [ -s server ]\r\n        {SYBASE:/ASE-server-name |\r\n         SYBASE:/ASE-server-name/database-name\r\n         [SYBASE:/ASE-server-name/database-name ...]}\r\n\r\n试着运行networker for sybase module中的其他命令,如nsrsyb,nsrsybsv,都会有相同的提示报错如下:\r\nNetWorker: Diagnostic: AIX loadquery(): Can\'t find address for /usr/lib/libc.a(s\r\nhr.o).\r\n\r\n在另外一台IBM P570上也是同样的错误,怀疑Sybase module模块不支持AIX 5.3,但查了一下兼容列表,可以支持,没有问题的

论坛徽章:
0
发表于 2006-12-06 20:58 |显示全部楼层
看看Legato client的版本。\r\n推荐使用Legato client 7.2.2,问题比较少!!!!!!!!!!

论坛徽章:
0
发表于 2006-12-07 10:22 |显示全部楼层
Smallants,\r\n\r\nNoone will do backward the software. I Knew NetWorker (NW) 7.3 is first release since NW changed to Java GUI. The lastest version of NW is 7.3.2 in which a lot bug is fixed.\r\n\r\nBeside this issue, I will suggest you to upgrade you NW Server and client.\r\n\r\nFor your Sybase issue, you have try to check env. avaliable and lib link. Below is copied form manual:\r\n\r\n===================================\r\nFor Sybase ASE version 12.5.0.1 and later:\r\na. Check the version number of the Sybase network transport driver, libinsck.so.\r\nThe driver is located in the $SYBASE/$SYBASE_OCS/lib directory.\r\nb. If the driver version number is not 12.5.0, create the following symbolic link.\r\nFor example:\r\nln -s $SYBASE/$SYBASE_OCS/lib/libinsck.so.12.5.0.1\r\nlibinsck.so.12.5.0\r\n==================================================

论坛徽章:
0
发表于 2006-12-07 19:36 |显示全部楼层
hi ,comcom\r\n\r\nsybase数据库我己经做过链接\r\nln -s $SYBASE/$SYBASE_OCS/lib/libinsck.so.12.5.1.0\r\nlibinsck.so.12.5.0\r\n\r\nsybaser server 的client我己经升级到了7.3.2,Networker 服务器端还是7.3.1版本,正在下载,明天升级,\r\nnsrsybcc我己经关掉了,现在新的报错如下:\r\n\r\nNetWorker: Diagnostic: AIX loadquery(): Can\'t find address for /usr/lib/libc.a(s\r\nhr.o).\r\n\r\nOpen Client Message:\r\nMessage number: LAYER = (5) ORIGIN = (3) SEVERITY = (5) NUMBER = (131)\r\nMessage String: ct_init(): network packet layer: internal net library error: Att\r\nempt to load protocol driver failed\r\n\r\n文件系统备份都正常

论坛徽章:
0
发表于 2006-12-08 00:47 |显示全部楼层
Some suggest  for you.\r\n\r\n- Ensure install Sybase OCS 12.5.0 in ASE 12.5.1.\r\n\r\nCom.com

论坛徽章:
0
发表于 2006-12-08 12:54 |显示全部楼层
晕晕哦,我这里没有Sybase的Download center的帐号哦,不能够下载OCS。\r\n这个是啥子东东哦???

论坛徽章:
0
发表于 2006-12-08 21:14 |显示全部楼层
我也不晓得\r\n\r\ncomcom\r\n\r\nOCS可以做为组件单独安装吗?现在SYBASE客户说是12.5.2版本,但我看了OCS里面libinsck.so版本是12.5.1.0的

论坛徽章:
0
发表于 2006-12-09 00:11 |显示全部楼层
Install Sybase OCS Version 12.5 Software\r\nFor ASE version 12.0 (32-bit and 64-bit) software, Sybase OCS version 12.5\r\nsoftware is required to be installed. This task is not required for ASE version\r\n12.5.0.x software.\r\nTo install OCS 12.5 32-bit software by using Sybase SDK 12.5 32-bit software\r\n以上是安装手册上的内容,关于OCS的

论坛徽章:
1
荣誉版主
日期:2011-11-23 16:44:17
发表于 2006-12-09 10:22 |显示全部楼层
sybase模块的文档里,有讲对ocs的要求的

论坛徽章:
0
发表于 2006-12-11 20:34 |显示全部楼层
我上面贴出来的就是文档里对ocs的要求
您需要登录后才可以回帖 登录 | 注册

本版积分规则 发表回复

  

北京盛拓优讯信息技术有限公司. 版权所有 京ICP备16024965号-6 北京市公安局海淀分局网监中心备案编号:11010802020122 niuxiaotong@pcpop.com 17352615567
未成年举报专区
中国互联网协会会员  联系我们:huangweiwei@itpub.net
感谢所有关心和支持过ChinaUnix的朋友们 转载本站内容请注明原作者名及出处

清除 Cookies - ChinaUnix - Archiver - WAP - TOP